import {
  createPageContext,
  createSearchContext,
  createTableSearchContext,
} from '@hooks';
import {GetMatterListparams, OriginalListParams} from '@models';

export const pageContext = createPageContext();
export const searchContext = createSearchContext();

export const contextState: OriginalListParams<GetMatterListparams> = {
  storageLocationCode: '',
  wllbCode: '',
  wllbName: '',
  storageLocationName: '',
  modifyUser: '',
};
export const context = createTableSearchContext(contextState);
